(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


// symbols:
// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.turnmarker = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AuIK8QhaAAAAhaIAAzDQAAhaBaAAIcRAAQBaAAAABaIAATDQAABahaAAg");
	this.shape.setTransform(0.025,70.025);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.turnmarker, new cjs.Rectangle(-99.5,0,199.1,140.1), null);


(lib.gamenumber = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.gameNumTxt = new cjs.Text("00", "42px 'Impact'", "#FFFFFF");
	this.gameNumTxt.name = "gameNumTxt";
	this.gameNumTxt.textAlign = "center";
	this.gameNumTxt.lineHeight = 35;
	this.gameNumTxt.lineWidth = 79;
	this.gameNumTxt.parent = this;
	this.gameNumTxt.setTransform(0.5,16.8);

	this.timeline.addTween(cjs.Tween.get(this.gameNumTxt).wait(1));

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],0,-39,0,39).s().p("AjlFoQigAAAAigIAAmPQAAigCgAAIHLAAQCgAAAACgIAAGPQAACgigAAg");
	this.shape.setTransform(0,36);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.gamenumber, new cjs.Rectangle(-41,0,83,72), null);


(lib.c_T = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AgQBbIAAiaIg7AAIAAgcICXAAIAAAcIg7AAIAACag");
	this.shape.setTransform(0.075,20.05);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	// Layer_1
	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],-29,0,29,0).s().p("AjHC+QhaAAAAhaIAAjHQAAhaBaAAIGPAAQBaAAAABaIAADHQAABahaAAg");
	this.shape_1.setTransform(0,19);

	this.timeline.addTween(cjs.Tween.get(this.shape_1).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.c_T, new cjs.Rectangle(-29,0,58,38.7), null);


(lib.c_mark = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(6));

	// marks
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFFFF").ss(8,1,1).p("Aj0D1IHpnp");
	this.shape.setTransform(0.55,30.55);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f().s("#FFFFFF").ss(8,1,1).p("AAAAAID1j0AD1D1Ij1j1Aj0D1ID0j1Ij0j0");
	this.shape_1.setTransform(0.55,30.55);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f().s("#FFFFFF").ss(8,1,1).p("AEnAAQAAB6hXBWQhWBXh6AAQh5AAhXhXQhWhWAAh6QAAh5BWhWQBXhXB5AAQB6AABWBXQBXBWAAB5g");
	this.shape_2.setTransform(0,29.45);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f().s("#FFFFFF").ss(8,1,1).p("ADYjHQBPBUAABzQAAB6hXBWQhWBXh6AAQhzAAhUhPQgEgEgFgEQhWhWAAh6QAAh5BWhWQBXhXB5AAQB6AABWBXQAEAEAEAEgAjHDYIGfmf");
	this.shape_3.setTransform(0,29.45);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f().s("#FFFFFF").ss(8,1,1).p("AAGALIDSjSQBPBUAABzQAAB6hXBWQgBABgCACQhVBUh4AAQhzAAhUhPQgEgEgFgEQhWhWAAh6QAAh3BUhVQABgCABgBQBXhXB5AAQB6AABWBXQAEAEAEAEADNDTIjHjIIjYjXAjHDYIDNjN");
	this.shape_4.setTransform(0,29.45);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[{t:this.shape}]},1).to({state:[{t:this.shape_1}]},1).to({state:[{t:this.shape_2}]},1).to({state:[{t:this.shape_3}]},1).to({state:[{t:this.shape_4}]},1).wait(1));

	// template
	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f().s("#333333").ss(8,1,1).p("AEnAAQAAB6hXBWQhWBXh6AAQh5AAhXhXQhWhWAAh6QAAh5BWhWQBXhXB5AAQB6AABWBXQBXBWAAB5g");
	this.shape_5.setTransform(0,29.45);

	this.timeline.addTween(cjs.Tween.get(this.shape_5).wait(6));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-33.4,-4,66.9,66.9);


(lib.c_D = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AhOBbIAAi2IAxAAIANABIANABIALACIAKADQAPAFALAHQAMAJAHAKQAIALAEAOQADANABAPQAAAOgEANQgDANgHALQgGALgLAIQgJAHgOAGQgMAEgOACQgPACgSAAgAgsA/IAOAAQAdABAQgJQAOgHAIgOQAHgOAAgUQAAgLgCgJQgDgJgEgHQgFgIgGgEQgHgGgIgCQgJgDgIgCQgJgBgMgBIgPAAg");
	this.shape.setTransform(0.5,19.05);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	// Layer_1
	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],-29,0,29,0).s().p("AjHC+QhaAAAAhaIAAjHQAAhaBaAAIGPAAQBaAAAABaIAADHQAABahaAAg");
	this.shape_1.setTransform(0,19);

	this.timeline.addTween(cjs.Tween.get(this.shape_1).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.c_D, new cjs.Rectangle(-29,-0.4,58,38.4), null);


(lib.c_B = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AiKDlIAAnJIB3AAQA3AAAeAJQAcAIASAbQASAbAAA7QAAApgMAPQgNAQglAJQApAJAPAVQAPAVAAAtIAAArQAAAugLAWQgLAXgXAIQgXAIhHAAgAgTCXQAYgBAIgHQAGgHAAgcIAAgrQAAgdgGgGQgGgHgaAAgAgTgwIAMAAQARAAAFgJQAEgIAAgpQAAgWgEgIQgEgJgGgCQgFgDgTAAg");
	this.shape.setTransform(0.725,29.375);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	// Layer_1
	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],0,-34.7,0,34.6).s().p("AjlFAQigAAAAiOIAAljQAAiOCgAAIHLAAQCgAAAACOIAAFjQAACOigAAg");
	this.shape_1.setTransform(1,29.05);

	this.timeline.addTween(cjs.Tween.get(this.shape_1).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.c_B, new cjs.Rectangle(-38,-8.2,78,74.8), null);


(lib.c_20 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("Ag9DlQgbgKgRgUQgPgUgIgWQgGgXAAgwIAAifQAAg/ALggQAKgfAigTQAfgTAuAAQAlAAAeANQAeANAPATQAPATAEAYQAGAYAAA0IAACYQAAA0gGAYQgFAYgTAUQgRAVgZAJQgaAJgfAAQgoAAgbgJgAgPidQgEAKgBAjIAADfQABAoAEAIQADAJAMAAQAMAAAFgKQADgKABghIAAjjQgBgkgDgJQgDgKgNAAQgNAAgDAKg");
	this.shape.setTransform(15.05,29.375);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("AiCDqIAAhCQBwi2AUgrQAVgsAAgYQAAgTgHgJQgGgJgMAAQgNAAgGAKQgGAKgBAfIAAArIhmAAIAAgQQAAgnAEgWQADgWAQgWQAQgVAZgLQAYgMAkAAQBDAAAjAiQAjAiAAA0QAAAngUAsQgUArhfCPIB9AAIAABOg");
	this.shape_1.setTransform(-14.95,28.925);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

	// Layer_1
	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],0,-34.7,0,34.6).s().p("AjlFAQigAAAAiOIAAljQAAiOCgAAIHLAAQCgAAAACOIAAFjQAACOigAAg");
	this.shape_2.setTransform(1,29.05);

	this.timeline.addTween(cjs.Tween.get(this.shape_2).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.c_20, new cjs.Rectangle(-38,-8.2,78,74.8), null);


(lib.c_19 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AhPDfQgegQgOgcQgNgcAAgsIByAAIABApQABAIAGAGQAGAGAJAAQAJAAAGgGQAGgFAAgJIABgiIAAhJQgJASgQAKQgRAJgZAAQgfAAgYgRQgYgRgHgYQgGgXAAgoIAAglQAAgwAEgYQADgXAQgUQAQgUAcgLQAcgLAlAAQAtAAAeANQAdAMAQAZQAQAXADAbQACAaAABMIAAA+QAABSgCAcQgCAbgRAZQgSAZgeAMQgdAMgnAAQgwAAgfgPgAgOifQgIAHAAAgIAABVQAAAdAIAGQAHAHAHAAQAMAAAGgIQAFgIAAgaIAAhTQAAgegFgJQgGgKgMAAQgGAAgIAIg");
	this.shape.setTransform(11.625,29.375);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("AgRDlIAAj1QAAg1gCgLQgDgKgLgGQgMgFgoAAIgLAAIAAg2QBTgSAqg3IBEAAIAAHJg");
	this.shape_1.setTransform(-16.225,29.375);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

	// Layer_1
	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],0,-34.7,0,34.6).s().p("AjlFAQigAAAAiOIAAljQAAiOCgAAIHLAAQCgAAAACOIAAFjQAACOigAAg");
	this.shape_2.setTransform(1,29.05);

	this.timeline.addTween(cjs.Tween.get(this.shape_2).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.c_19, new cjs.Rectangle(-38,-8.2,78,74.8), null);


(lib.c_18 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AhQDeQgdgQgNgbQgNgaAAg/QAAgpAGgfQAHgdAhgTQgVgKgKgWQgLgWAAgjQAAg7AhgeQAhgdBBAAQBLAAAdAfQAcAgAAA6QAAAlgJARQgKAQgdAQQAZAKAOAUQANAUAABMQAAA4gKAaQgLAagfARQgfARg1AAQgyAAgegQgAgQAaQgFAIAAAbIAAA8QAAAeAGAIQAFAJALAAQAMAAAFgJQAEgJAAgeIAAg7QAAgagFgJQgGgIgLAAQgLAAgFAIgAgOieQgEAIAAAWIAAAjQAAAUAEAIQAFAIAJAAQAMAAAEgIQAEgHAAgZIAAgfQAAgYgEgHQgFgIgLAAQgKAAgEAJg");
	this.shape.setTransform(11.525,29.375);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("AgRDlIAAj1QAAg1gCgLQgDgKgLgGQgMgFgoAAIgLAAIAAg2QBTgSAqg3IBEAAIAAHJg");
	this.shape_1.setTransform(-16.025,29.375);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

	// Layer_1
	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],0,-34.7,0,34.6).s().p("AjlFAQigAAAAiOIAAljQAAiOCgAAIHLAAQCgAAAACOIAAFjQAACOigAAg");
	this.shape_2.setTransform(1,29.05);

	this.timeline.addTween(cjs.Tween.get(this.shape_2).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.c_18, new cjs.Rectangle(-38,-8.2,78,74.8), null);


(lib.c_17 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AhNDlIBRl3IhwAAIAAhSIDZAAIAABkIhJFlg");
	this.shape.setTransform(11.475,29.375);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("AgRDlIAAj1QAAg1gCgLQgDgKgLgGQgMgFgoAAIgLAAIAAg2QBTgSAqg3IBEAAIAAHJg");
	this.shape_1.setTransform(-11.875,29.375);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

	// Layer_1
	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],0,-34.7,0,34.6).s().p("AjlFAQigAAAAiOIAAljQAAiOCgAAIHLAAQCgAAAACOIAAFjQAACOigAAg");
	this.shape_2.setTransform(1,29.05);

	this.timeline.addTween(cjs.Tween.get(this.shape_2).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.c_17, new cjs.Rectangle(-38,-8.2,78,74.8), null);


(lib.c_16 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AhGDhQgdgMgQgYQgQgYgDgbQgCgaAAhMIAAg+QAAhSACgcQACgbASgZQARgZAegMQAegMAmAAQAwAAAfAPQAfAQANAcQANAcAAAsIhyAAIgBgpQAAgIgGgGQgHgGgJAAQgJAAgGAGQgFAFgBAJIgBAiIAABJQAJgSAQgJQARgKAZAAQAfAAAYARQAYARAHAYQAGAXAAAoIAAAlQAAAwgDAYQgEAXgQAUQgQAUgcALQgcALglAAQgtAAgegNgAgQACQgGAIAAAaIAABTQAAAeAFAJQAGAKALAAQAHAAAIgIQAIgHAAggIAAhVQAAgZgFgJQgGgIgMAAQgLAAgFAIg");
	this.shape.setTransform(11.625,29.375);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("AgRDlIAAj1QAAg1gCgLQgDgKgLgGQgMgFgoAAIgLAAIAAg2QBTgSAqg3IBEAAIAAHJg");
	this.shape_1.setTransform(-16.225,29.375);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

	// Layer_1
	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],0,-34.7,0,34.6).s().p("AjlFAQigAAAAiOIAAljQAAiOCgAAIHLAAQCgAAAACOIAAFjQAACOigAAg");
	this.shape_2.setTransform(1,29.05);

	this.timeline.addTween(cjs.Tween.get(this.shape_2).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.c_16, new cjs.Rectangle(-38,-8.2,78,74.8), null);


(lib.c_15 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AhKDaQghgPgPgfQgOgfAAhAIAAgYIByAAIAAAcQAAAtAEASQADATARAAQAIAAAGgFQAFgGABgGIAAg2IAAhbQAAgZgEgJQgGgJgMAAQgIAAgFAEQgGAFAAAGQgDAFAAAUIhwAAIAEjnID1AAIAABKIiNAAIAABNQAagfApAAQAwAAAYAbQAYAaAABKIAABCQAAAwgEAXQgGAXgPAUQgPATgbAKQgbALgoAAQgrAAgigQg");
	this.shape.setTransform(11.55,29.825);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("AgRDlIAAj1QAAg1gCgLQgDgKgLgGQgMgFgoAAIgLAAIAAg2QBTgSAqg3IBEAAIAAHJg");
	this.shape_1.setTransform(-16.075,29.375);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

	// Layer_1
	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],0,-34.7,0,34.6).s().p("AjlFAQigAAAAiOIAAljQAAiOCgAAIHLAAQCgAAAACOIAAFjQAACOigAAg");
	this.shape_2.setTransform(1,29.05);

	this.timeline.addTween(cjs.Tween.get(this.shape_2).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.c_15, new cjs.Rectangle(-38,-8.2,78,74.8), null);


(lib.buttonmissenter = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.enterTxt = new cjs.Text("MISS", "54px 'Impact'", "#FFFFFF");
	this.enterTxt.name = "enterTxt";
	this.enterTxt.textAlign = "center";
	this.enterTxt.lineHeight = 50;
	this.enterTxt.lineWidth = 176;
	this.enterTxt.parent = this;
	this.enterTxt.setTransform(-0.95,15.8);

	this.timeline.addTween(cjs.Tween.get(this.enterTxt).wait(1));

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFFFF").ss(2,1,1).p("AszmZIZnAAQBaAAAABaIAAJ/QAABahaAAI5nAAQhaAAAAhaIAAp/QAAhaBaAAg");
	this.shape.setTransform(0,41);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],-91,0,91,0).s().p("AszGaQhaAAAAhaIAAp/QAAhaBaAAIZnAAQBaAAAABaIAAJ/QAABahaAAg");
	this.shape_1.setTransform(0,41);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.buttonmissenter, new cjs.Rectangle(-92,-1,184,84.7), null);


(lib.buttonback = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.backTxt = new cjs.Text("BACK", "54px 'Impact'", "#FFFFFF");
	this.backTxt.name = "backTxt";
	this.backTxt.textAlign = "center";
	this.backTxt.lineHeight = 50;
	this.backTxt.lineWidth = 176;
	this.backTxt.parent = this;
	this.backTxt.setTransform(-0.95,15.8);

	this.timeline.addTween(cjs.Tween.get(this.backTxt).wait(1));

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFFFF").ss(2,1,1).p("AszmZIZnAAQBaAAAABaIAAJ/QAABahaAAI5nAAQhaAAAAhaIAAp/QAAhaBaAAg");
	this.shape.setTransform(0,41);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.lf(["#000000","#FF9900","#120B00"],[0,0.463,0.976],0,120,0,-119.9).s().p("AszGaQhaAAAAhaIAAp/QAAhaBaAAIZnAAQBaAAAABaIAAJ/QAABahaAAg");
	this.shape_1.setTransform(0,41);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.buttonback, new cjs.Rectangle(-92,-1,184,84.7), null);


(lib.button_player_select = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AAYB5QgXAAgIgCQgKgBgHgHQgHgHgCgIQgCgJAAggIAAhsIgOAAIAAghIAOAAIAAgiIBAAAIAAAiIASAAIAAAhIgSAAIAAByQAAAVADACQACADAQAAIAAAig");
	this.shape.setTransform(83.825,19.775);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("AgrBlQgPgJgHgRQgHgRAAgfIAAg8QAAgbAGgOQAFgOASgLQASgLAZAAQAZAAASALQASALAGAQQAGARAAAeIg+AAIAAgZQAAgNgCgEQgCgFgFAAQgFAAgCAEQgBAEgBAOIAABkQABALACAGQADAGAEAAQAIAAABgGQADgGAAgRIAAgZIA6AAQAAAZgCANQgCANgIAOQgKANgPAHQgOAHgWAAQgaAAgRgKg");
	this.shape_1.setTransform(70.7,21.225);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#FFFFFF").s().p("AghBpQgQgGgJgLQgJgKgDgMQgEgNAAgYIAAg9QAAgcAIgQQAIgRARgIQARgJAWAAQAbAAASALQARAKAIARQAHARAAAfIAAAcIhTAAIAAAuQAAAOACAFQACAEAFAAQAHAAADgGQACgFAAgQIAAgdIA+AAIAAAQQAAAUgDALQgCAKgJAMQgKANgOAGQgOAGgVAAQgUAAgPgGgAgHhEQgBAEAAASIAAAQIASAAIAAgQQAAgQgCgFQgCgFgFAAQgGAAgCAEg");
	this.shape_2.setTransform(54.025,21.225);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#FFFFFF").s().p("AggCCIAAkEIBBAAIAAEEg");
	this.shape_3.setTransform(41.05,18.85);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f("#FFFFFF").s().p("AghBpQgQgGgJgLQgJgKgDgMQgEgNAAgYIAAg9QAAgcAIgQQAIgRARgIQARgJAWAAQAbAAASALQARAKAIARQAHARAAAfIAAAcIhTAAIAAAuQAAAOACAFQACAEAFAAQAHAAADgGQACgFAAgQIAAgdIA+AAIAAAQQAAAUgDALQgCAKgJAMQgKANgOAGQgOAGgVAAQgUAAgPgGgAgHhEQgBAEAAASIAAAQIASAAIAAgQQAAgQgCgFQgCgFgFAAQgGAAgCAEg");
	this.shape_4.setTransform(28.125,21.225);

	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f("#FFFFFF").s().p("AgrB+QgTgLgHgQQgFgPAAgeIAAgRIA/AAIAAAgQAAAOACAFQADAEAGAAQAGAAADgFQAEgGAAgKQAAgXgGgIQgHgGgYgRQgZgRgJgHQgIgHgFgNQgGgOAAgVQAAgdAIgPQAHgNASgIQARgIAYAAQAaAAASAJQASAIAHANQAGANAAAfIAAAKIg/AAIAAgTQAAgNgCgEQgDgEgEABQgHAAgDAEQgDAGAAAJQAAANAEAHQADAHAPAJQAtAbALAQQANASAAAmQAAAcgHANQgHANgSAJQgTAJgZAAQgaAAgTgKg");
	this.shape_5.setTransform(11.2,18.85);

	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f("#FFFFFF").s().p("AgzBtIAAjVIBAAAIgCAcQAOgeAbgCIAABLQgSAAgIAFQgJAFgCAJQgCAIAAAeIAABVg");
	this.shape_6.setTransform(-8.575,21.025);

	this.shape_7 = new cjs.Shape();
	this.shape_7.graphics.f("#FFFFFF").s().p("AghBpQgQgGgJgLQgJgKgDgMQgEgNAAgYIAAg9QAAgcAIgQQAIgRARgIQARgJAWAAQAbAAASALQARAKAIARQAHARAAAfIAAAcIhTAAIAAAuQAAAOACAFQACAEAFAAQAHAAADgGQACgFAAgQIAAgdIA+AAIAAAQQAAAUgDALQgCAKgJAMQgKANgOAGQgOAGgVAAQgUAAgPgGgAgHhEQgBAEAAASIAAAQIASAAIAAgQQAAgQgCgFQgCgFgFAAQgGAAgCAEg");
	this.shape_7.setTransform(-23.325,21.225);

	this.shape_8 = new cjs.Shape();
	this.shape_8.graphics.f("#FFFFFF").s().p("Ag6B6IAAgiQAPAAAEgCQAEgCAAgEIgEgXIgjiyIA7AAIAUCPIALiPIA7AAIgTCaQgEAlgDANQgDANgHAJQgHAJgMAEQgMAEgbAAg");
	this.shape_8.setTransform(-39.25,22.7);

	this.shape_9 = new cjs.Shape();
	this.shape_9.graphics.f("#FFFFFF").s().p("Ag6BlQgPgKAAggIAAgSQABgYAHgIQAIgJAegLQAfgMACgEQACgFAAgNQAAgRgCgFQgDgFgFAAQgGAAgCAEQgBAEAAASIAAAXIg+AAIAAgPQAAgYAHgOQAFgNARgLQASgKAaAAQAhAAARAMQAQALAEASQAEAQAAA1IAABrIhAAAIAAgTQgGALgIAGQgJAGgOAAQgRAAgOgKgAgJAYQgCAIAAAOQAAARACAFQACAFAGAAQAGAAABgEQACgEAAgQIAAgsQgOAMgDAHg");
	this.shape_9.setTransform(-55,21.225);

	this.shape_10 = new cjs.Shape();
	this.shape_10.graphics.f("#FFFFFF").s().p("AghCCIAAkEIBCAAIAAEEg");
	this.shape_10.setTransform(-67.75,18.85);

	this.shape_11 = new cjs.Shape();
	this.shape_11.graphics.f("#FFFFFF").s().p("AhICCIAAkEIBEAAQAbAAAPAFQAPAFAIAHQAHAJADAMQACALAAAZIAAAWQAAAagFAKQgFALgOAGQgNAHgXAAIgRAAIAABogAgEgSIAEAAQAJAAAEgFQADgEABgPIAAgVQAAgOgFgDQgEgEgMgBg");
	this.shape_11.setTransform(-80.15,18.85);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_11},{t:this.shape_10},{t:this.shape_9},{t:this.shape_8},{t:this.shape_7},{t:this.shape_6},{t:this.shape_5},{t:this.shape_4},{t:this.shape_3},{t:this.shape_2},{t:this.shape_1},{t:this.shape}]}).wait(1));

	// Layer_1
	this.shape_12 = new cjs.Shape();
	this.shape_12.graphics.f().s("#FFFFFF").ss(2,1,1).p("AyCi9MAkFAAAQBQAAAABQIAADbQAABQhQAAMgkFAAAQhQAAAAhQIAAjbQAAhQBQAAg");
	this.shape_12.setTransform(0.025,19);

	this.shape_13 = new cjs.Shape();
	this.shape_13.graphics.f("#045B2B").s().p("AyCC+QhQAAAAhQIAAjbQAAhQBQAAMAkFAAAQBQAAAABQIAADbQAABQhQAAg");
	this.shape_13.setTransform(0.025,19);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_13},{t:this.shape_12}]}).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.button_player_select, new cjs.Rectangle(-124.4,-3.4,248.9,44.3), null);


(lib.button_pick_05 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.gameName = new cjs.Text("1001 SIDO", "53px 'Impact'", "#FFFFFF");
	this.gameName.name = "gameName";
	this.gameName.textAlign = "center";
	this.gameName.lineHeight = 67;
	this.gameName.lineWidth = 404;
	this.gameName.parent = this;
	this.gameName.setTransform(1,5.6);

	this.timeline.addTween(cjs.Tween.get(this.gameName).wait(1));

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFFFF").ss(2,1,1).p("A+Yk/MA8xAAAQBQAAAABQIAAHfQAABQhQAAMg8xAAAQhQAAAAhQIAAnfQAAhQBQAAg");
	this.shape.setTransform(0.025,32);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],0,32,0,-31.9).s().p("A+YFAQhQAAAAhQIAAnfQAAhQBQAAMA8xAAAQBQAAAABQIAAHfQAABQhQAAg");
	this.shape_1.setTransform(0.025,32);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.button_pick_05, new cjs.Rectangle(-203.4,-1,408.4,73.3), null);


(lib.button_pick_04 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.gameName = new cjs.Text("701 SIDO", "53px 'Impact'", "#FFFFFF");
	this.gameName.name = "gameName";
	this.gameName.textAlign = "center";
	this.gameName.lineHeight = 67;
	this.gameName.lineWidth = 404;
	this.gameName.parent = this;
	this.gameName.setTransform(1,5.6);

	this.timeline.addTween(cjs.Tween.get(this.gameName).wait(1));

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFFFF").ss(2,1,1).p("A+Yk/MA8xAAAQBQAAAABQIAAHfQAABQhQAAMg8xAAAQhQAAAAhQIAAnfQAAhQBQAAg");
	this.shape.setTransform(0.025,32);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],0,32,0,-31.9).s().p("A+YFAQhQAAAAhQIAAnfQAAhQBQAAMA8xAAAQBQAAAABQIAAHfQAABQhQAAg");
	this.shape_1.setTransform(0.025,32);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.button_pick_04, new cjs.Rectangle(-203.4,-1,408.4,73.3), null);


(lib.button_pick_03 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.gameName = new cjs.Text("401 DIDO", "53px 'Impact'", "#FFFFFF");
	this.gameName.name = "gameName";
	this.gameName.textAlign = "center";
	this.gameName.lineHeight = 67;
	this.gameName.lineWidth = 404;
	this.gameName.parent = this;
	this.gameName.setTransform(1,5.6);

	this.timeline.addTween(cjs.Tween.get(this.gameName).wait(1));

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFFFF").ss(2,1,1).p("A+Yk/MA8xAAAQBQAAAABQIAAHfQAABQhQAAMg8xAAAQhQAAAAhQIAAnfQAAhQBQAAg");
	this.shape.setTransform(0.025,32);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],0,32,0,-31.9).s().p("A+YFAQhQAAAAhQIAAnfQAAhQBQAAMA8xAAAQBQAAAABQIAAHfQAABQhQAAg");
	this.shape_1.setTransform(0.025,32);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.button_pick_03, new cjs.Rectangle(-203.4,-1,408.4,73.3), null);


(lib.button_pick_02 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.gameName = new cjs.Text("CRICKET", "53px 'Impact'", "#FFFFFF");
	this.gameName.name = "gameName";
	this.gameName.textAlign = "center";
	this.gameName.lineHeight = 67;
	this.gameName.lineWidth = 404;
	this.gameName.parent = this;
	this.gameName.setTransform(1,5.6);

	this.timeline.addTween(cjs.Tween.get(this.gameName).wait(1));

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFFFF").ss(2,1,1).p("A+Yk/MA8xAAAQBQAAAABQIAAHfQAABQhQAAMg8xAAAQhQAAAAhQIAAnfQAAhQBQAAg");
	this.shape.setTransform(0.025,32);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],0,32,0,-31.9).s().p("A+YFAQhQAAAAhQIAAnfQAAhQBQAAMA8xAAAQBQAAAABQIAAHfQAABQhQAAg");
	this.shape_1.setTransform(0.025,32);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.button_pick_02, new cjs.Rectangle(-203.4,-1,408.4,73.3), null);


(lib.button_pick_01 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.gameName = new cjs.Text("501 SIDO", "53px 'Impact'", "#FFFFFF");
	this.gameName.name = "gameName";
	this.gameName.textAlign = "center";
	this.gameName.lineHeight = 67;
	this.gameName.lineWidth = 404;
	this.gameName.parent = this;
	this.gameName.setTransform(1,5.6);

	this.timeline.addTween(cjs.Tween.get(this.gameName).wait(1));

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFFFF").ss(2,1,1).p("A+Yk/MA8xAAAQBQAAAABQIAAHfQAABQhQAAMg8xAAAQhQAAAAhQIAAnfQAAhQBQAAg");
	this.shape.setTransform(0.025,32);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],0,32,0,-31.9).s().p("A+YFAQhQAAAAhQIAAnfQAAhQBQAAMA8xAAAQBQAAAABQIAAHfQAABQhQAAg");
	this.shape_1.setTransform(0.025,32);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.button_pick_01, new cjs.Rectangle(-203.4,-1,408.4,73.3), null);


(lib.button_pick_00 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.gameName = new cjs.Text("301 DIDO", "53px 'Impact'", "#FFFFFF");
	this.gameName.name = "gameName";
	this.gameName.textAlign = "center";
	this.gameName.lineHeight = 67;
	this.gameName.lineWidth = 404;
	this.gameName.parent = this;
	this.gameName.setTransform(1,5.6);

	this.timeline.addTween(cjs.Tween.get(this.gameName).wait(1));

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFFFF").ss(2,1,1).p("A+Yk/MA8xAAAQBQAAAABQIAAHfQAABQhQAAMg8xAAAQhQAAAAhQIAAnfQAAhQBQAAg");
	this.shape.setTransform(0.025,32);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],0,32,0,-31.9).s().p("A+YFAQhQAAAAhQIAAnfQAAhQBQAAMA8xAAAQBQAAAABQIAAHfQAABQhQAAg");
	this.shape_1.setTransform(0.025,32);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.button_pick_00, new cjs.Rectangle(-203.4,-1,408.4,73.3), null);


(lib.btn_reset = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#000000").s().p("AgPB5IAAjZIgsAAIAAgZIB3AAIAAAZIgqAAIAADZg");
	this.shape.setTransform(23.95,-1.15);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#000000").s().p("AguB5IAAjyIBcAAIAAAZIg6AAIAABRIAvAAIAAAXIgvAAIAABZIA8AAIAAAYg");
	this.shape_1.setTransform(12.4,-1.15);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#000000").s().p("AgqBpQgQgTgCghIAdgIQAEA0AeAAQANAAAHgHQAHgHAAgOQAAgIgCgHQgCgGgEgGIgIgKIgLgKIgngjQgMgLgGgNQgGgMAAgSQAAgaAQgPQAPgPAaAAQAcAAAPAPQAPAQACAgIgcAIIgCgOIgDgNQgDgGgDgEQgDgEgGgCQgFgCgHAAQgbACAAAZQAAALAEAHQAEAHAIAIIApAkQAPANAKARQAKAQAAAVQgBAbgQAPQgQAQgaAAQgeAAgPgTg");
	this.shape_2.setTransform(-1.15,-1.1258);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#000000").s().p("AguB5IAAjyIBcAAIAAAZIg7AAIAABRIAxAAIAAAXIgxAAIAABZIA8AAIAAAYg");
	this.shape_3.setTransform(-14,-1.15);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f("#000000").s().p("AAdB5IgehxIgaAAIAABxIgiAAIAAjyIAwAAQAkABARAPQASAPgBAiQAAAvgdAJIAjB5gAgbgQIAMAAQAVAAAKgIQAJgJAAgXQAAgWgIgJQgIgJgWAAIgOAAg");
	this.shape_4.setTransform(-28.05,-1.15);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_4},{t:this.shape_3},{t:this.shape_2},{t:this.shape_1},{t:this.shape}]}).wait(1));

	// Layer_1
	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f().s("#FFFFFF").ss(5,1,1).p("Ap1ifITrAAQBCAAAvAvQAvAvAABBQAABCgvAvQgvAvhCAAIzrAAQhCAAgvgvQgvgvAAhCQAAhBAvgvQAvgvBCAAg");

	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f("#FFFFFF").s().p("Ap1CgQhCAAgvgvQgvgvAAhCQAAhBAvgvQAvgvBCAAITrAAQBCAAAvAvQAvAvAABBQAABCgvAvQgvAvhCAAg");

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_6},{t:this.shape_5}]}).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.btn_reset, new cjs.Rectangle(-81.5,-30.7,163,55), null);


(lib.msg_darts = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_3
	this.resetBtn = new lib.btn_reset();
	this.resetBtn.name = "resetBtn";
	this.resetBtn.setTransform(-2,46);
	new cjs.ButtonHelper(this.resetBtn, 0, 1, 1);

	this.timeline.addTween(cjs.Tween.get(this.resetBtn).wait(1));

	// Layer_2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AgqBpQgQgTgCghIAdgIQAEA0AeAAQANAAAHgHQAHgHAAgOQAAgIgCgHQgCgGgEgGIgIgKIgLgKIgngjQgMgLgGgNQgGgMAAgSQAAgaAQgPQAPgPAaAAQAcAAAPAPQAPAQACAgIgcAIIgCgOIgDgNQgDgGgDgEQgDgEgGgCQgFgCgHAAQgbACAAAZQAAALAEAHQAEAHAIAIIApAkQAPANAKARQAKAQAAAVQgBAbgQAPQgQAQgaAAQgeAAgPgTg");
	this.shape.setTransform(91.55,-0.4258);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("AgPB5IAAjYIgsAAIAAgaIB3AAIAAAaIgqAAIAADYg");
	this.shape_1.setTransform(77.85,-0.45);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#FFFFFF").s().p("AAeB5IgghyIgaAAIAAByIghAAIAAjyIAwAAQAkABARAPQARAPAAAiQAAAvgdAJIAjB5gAgcgQIANAAQAVAAAKgIQAJgJAAgXQAAgWgIgJQgIgJgWAAIgPAAg");
	this.shape_2.setTransform(64.45,-0.45);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#FFFFFF").s().p("AAkB5IgLg9IgxAAIgLA9IggAAIA0jyIAfAAIA0DygAgTAkIAnAAIgUhtg");
	this.shape_3.setTransform(48.925,-0.45);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f("#FFFFFF").s().p("Ag9B5IAAjyIA1AAQAmABAQARQAQASAAAnIAABYQAAAogQAUQgQAUgkgBgAgbBhIATAAQAHAAAFgCIAKgDQAEgCADgFIAEgJIACgLIABgOIAAgQIAAhNIAAgPIgBgMIgDgKIgEgHQgDgEgEgCQgEgCgGAAIgMgBIgSAAg");
	this.shape_4.setTransform(33.875,-0.45);

	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f("#FFFFFF").s().p("AgPB5IAAhVIg1idIAgAAIAkB1IAlh1IAgAAIg1CdIAABVg");
	this.shape_5.setTransform(11.675,-0.45);

	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f("#FFFFFF").s().p("AAmB5IhFikIAACkIgcAAIAAjyIAXAAIBEChIAAihIAcAAIAADyg");
	this.shape_6.setTransform(-3.425,-0.45);

	this.shape_7 = new cjs.Shape();
	this.shape_7.graphics.f("#FFFFFF").s().p("AAkB5IgLg9IgxAAIgLA9IggAAIA0jyIAfAAIA0DygAgTAkIAnAAIgUhtg");
	this.shape_7.setTransform(-18.725,-0.45);

	this.shape_8 = new cjs.Shape();
	this.shape_8.graphics.f("#FFFFFF").s().p("AA1B5IgDivIgoCvIgTAAIgoivIgDCvIgbAAIAEjyIAhAAIAqDFIArjFIAhAAIAEDyg");
	this.shape_8.setTransform(-36,-0.45);

	this.shape_9 = new cjs.Shape();
	this.shape_9.graphics.f("#FFFFFF").s().p("AgeB2QgNgFgIgKQgHgLgEgOQgDgOAAgTIAAhbQAAgmAPgTQAQgUAiAAQAjAAAQAUQAPATAAAmIAABbQAAAmgPAVQgQAUgjAAQgRAAgNgGgAgPheQgHADgDAGQgEAGgBAIQgBAHAAALIAABpQAAAMABAHQABAIAEAGQADAGAHADQAGADAJAAQAKAAAHgDQAGgDADgGQAEgGABgIIABgTIAAhpIgBgSQgBgIgEgGQgDgGgGgDQgHgDgKAAQgJAAgGADg");
	this.shape_9.setTransform(-60.825,-0.425);

	this.shape_10 = new cjs.Shape();
	this.shape_10.graphics.f("#FFFFFF").s().p("AgeB2QgNgFgIgKQgHgLgEgOQgDgOAAgTIAAhbQAAgmAPgTQAQgUAiAAQAjAAAQAUQAPATAAAmIAABbQAAAmgPAVQgQAUgjAAQgRAAgNgGgAgPheQgHADgDAGQgEAGgBAIQgBAHAAALIAABpQAAAMABAHQABAIAEAGQADAGAHADQAGADAJAAQAKAAAHgDQAGgDADgGQAEgGABgIIABgTIAAhpIgBgSQgBgIgEgGQgDgGgGgDQgHgDgKAAQgJAAgGADg");
	this.shape_10.setTransform(-76.975,-0.425);

	this.shape_11 = new cjs.Shape();
	this.shape_11.graphics.f("#FFFFFF").s().p("AgPB5IAAjYIgsAAIAAgaIB3AAIAAAaIgqAAIAADYg");
	this.shape_11.setTransform(-91.45,-0.45);

	this.shape_12 = new cjs.Shape();
	this.shape_12.graphics.f("#FFFFFF").s().p("Ag9B6IAAjyIA1AAQAmAAAQASQAQARAAAnIAABYQAAAogQAUQgQAUgkAAgAgbBhIATAAQAHAAAFgCIAKgDQAEgCADgFIAEgIIACgMIABgOIAAgQIAAhNIAAgPIgBgMIgDgKIgEgHQgDgEgEgCQgEgBgGgBIgMgBIgSAAg");
	this.shape_12.setTransform(100.675,-41.5);

	this.shape_13 = new cjs.Shape();
	this.shape_13.graphics.f("#FFFFFF").s().p("AguB6IAAjyIBcAAIAAAZIg6AAIAABQIAvAAIAAAXIgvAAIAABZIA7AAIAAAZg");
	this.shape_13.setTransform(87,-41.5);

	this.shape_14 = new cjs.Shape();
	this.shape_14.graphics.f("#FFFFFF").s().p("AAdB6IgehzIgaAAIAABzIgjAAIAAjyIAyAAQAjgBASAQQAQAPAAAiQAAAvgeAJIAjB6gAgbgQIAMAAQAVAAAKgIQAJgJAAgXQAAgWgIgJQgIgJgVAAIgPAAg");
	this.shape_14.setTransform(72.95,-41.5);

	this.shape_15 = new cjs.Shape();
	this.shape_15.graphics.f("#FFFFFF").s().p("AguB6IAAjyIBdAAIAAAZIg8AAIAABQIAxAAIAAAXIgxAAIAABZIA8AAIAAAZg");
	this.shape_15.setTransform(59.25,-41.5);

	this.shape_16 = new cjs.Shape();
	this.shape_16.graphics.f("#FFFFFF").s().p("AgPB6IAAjZIgtAAIAAgZIB5AAIAAAZIgrAAIAADZg");
	this.shape_16.setTransform(46.2,-41.5);

	this.shape_17 = new cjs.Shape();
	this.shape_17.graphics.f("#FFFFFF").s().p("AAmB6IhFimIAACmIgcAAIAAjyIAXAAIBECgIAAigIAcAAIAADyg");
	this.shape_17.setTransform(32.325,-41.5);

	this.shape_18 = new cjs.Shape();
	this.shape_18.graphics.f("#FFFFFF").s().p("AguB6IAAjyIBcAAIAAAZIg7AAIAABQIAxAAIAAAXIgxAAIAABZIA8AAIAAAZg");
	this.shape_18.setTransform(18.85,-41.5);

	this.shape_19 = new cjs.Shape();
	this.shape_19.graphics.f("#FFFFFF").s().p("AgvB6IAAjyIBdAAIAAAZIg6AAIAABQIAvAAIAAAXIgvAAIAABZIA8AAIAAAZg");
	this.shape_19.setTransform(-0.2,-41.5);

	this.shape_20 = new cjs.Shape();
	this.shape_20.graphics.f("#FFFFFF").s().p("AgOB6Ig2jyIAgAAIAlCyIAliyIAfAAIg2Dyg");
	this.shape_20.setTransform(-14.425,-41.5);

	this.shape_21 = new cjs.Shape();
	this.shape_21.graphics.f("#FFFFFF").s().p("AAkB6IgLg+IgxAAIgLA+IggAAIA0jyIAfAAIA0DygAgTAkIAnAAIgUhtg");
	this.shape_21.setTransform(-29.375,-41.5);

	this.shape_22 = new cjs.Shape();
	this.shape_22.graphics.f("#FFFFFF").s().p("AAgB6IAAhzIg+AAIAABzIgiAAIAAjyIAiAAIAABpIA+AAIAAhpIAhAAIAADyg");
	this.shape_22.setTransform(-45.2,-41.5);

	this.shape_23 = new cjs.Shape();
	this.shape_23.graphics.f("#FFFFFF").s().p("AgaB3QgLgEgIgHQgHgHgEgLQgEgLgCgMQgBgMgBgRIAAigIAhAAIAACiIAAASQAAAIADAHQACAIAEAFQACAEAHADQAFADAIAAQAIAAAHgDQAFgDAEgEQADgFACgIQACgHABgIIABgSIAAiiIAfAAIAACgQAAARgBAMQgCAMgEALQgEALgIAHQgGAHgMAEQgMAEgPAAQgOAAgMgEg");
	this.shape_23.setTransform(-68.6,-41.375);

	this.shape_24 = new cjs.Shape();
	this.shape_24.graphics.f("#FFFFFF").s().p("AgeB2QgNgFgIgKQgHgLgEgOQgDgOAAgTIAAhbQAAgmAPgTQAQgUAiAAQAjAAAQAUQAPATAAAmIAABbQAAAmgPAVQgQAUgjAAQgRAAgNgGgAgPheQgHADgDAGQgEAGgBAIQgBAHAAALIAABpQAAAMABAHQABAIAEAGQADAGAHADQAGADAJAAQAKAAAHgDQAGgDADgGQAEgGABgIIABgTIAAhpIgBgSQgBgIgEgGQgDgGgGgDQgHgDgKAAQgJAAgGADg");
	this.shape_24.setTransform(-84.825,-41.475);

	this.shape_25 = new cjs.Shape();
	this.shape_25.graphics.f("#FFFFFF").s().p("AgPB6IAAhWIg1icIAgAAIAkB1IAlh1IAgAAIg1CcIAABWg");
	this.shape_25.setTransform(-100.125,-41.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_25},{t:this.shape_24},{t:this.shape_23},{t:this.shape_22},{t:this.shape_21},{t:this.shape_20},{t:this.shape_19},{t:this.shape_18},{t:this.shape_17},{t:this.shape_16},{t:this.shape_15},{t:this.shape_14},{t:this.shape_13},{t:this.shape_12},{t:this.shape_11},{t:this.shape_10},{t:this.shape_9},{t:this.shape_8},{t:this.shape_7},{t:this.shape_6},{t:this.shape_5},{t:this.shape_4},{t:this.shape_3},{t:this.shape_2},{t:this.shape_1},{t:this.shape}]}).wait(1));

	// Layer_1
	this.shape_26 = new cjs.Shape();
	this.shape_26.graphics.f().s("#FFFFFF").ss(5,1,1).p("A2zrtMAtnAAAQBbAABBBAQBABBAABbIAAQjQAABbhABBQhBBAhbAAMgtnAAAQhbAAhBhAQhAhBAAhbIAAwjQAAhbBAhBQBBhABbAAg");

	this.shape_27 = new cjs.Shape();
	this.shape_27.graphics.f("#9F0000").s().p("A2zLuQhbAAhBhAQhAhBAAhbIAAwjQAAhbBAhBQBBhABbAAMAtnAAAQBbAABBBAQBABBAABbIAAQjQAABbhABBQhBBAhbAAg");

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_27},{t:this.shape_26}]}).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.msg_darts, new cjs.Rectangle(-170.5,-77.5,341,155), null);


(lib.gamepick = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.playerBtn = new lib.button_player_select();
	this.playerBtn.name = "playerBtn";
	this.playerBtn.setTransform(-0.05,575,1,1,0,0,0,0,19);

	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FF9900").s().p("AhFDJQgggQgKgZQgJgaAAgvIAAgcIBlAAIAAAzQAAAYAFAGQAEAIAKgBQAKAAAGgIQAFgIAAgSQAAglgKgLQgKgMgogaQgogbgOgLQgNgMgIgVQgKgWABghQAAgxAMgWQANgWAbgNQAbgMAnAAQAqAAAdANQAeAOAKAVQAKAVAAAyIAAARIhmAAIAAggQAAgVgDgHQgEgFgJgBQgJABgFAHQgFAIgBARQAAAVAHALQAFAKAYAPQBJAsASAaQAUAcAAA9QAAAtgLAWQgKAUgeAPQgeAOgoAAQgrAAgegRg");
	this.shape.setTransform(133.85,34.5);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FF9900").s().p("Ag2DRIAAlNIhAAAIAAhUIDtAAIAABUIhBAAIAAFNg");
	this.shape_1.setTransform(107.9,34.5);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#FF9900").s().p("AAVDRIAAiKQAAgigGgJQgFgIgWAAIAAC9IhtAAIAAmhIBOAAQBMAAAbAFQAbAHASAYQARAZAAA1QAAAxgMARQgNARgjADQAgAIALAMQALAOADALQADAMAAAyIAABugAgMgrQASAAAHgGQAIgEAAgcIAAgYQAAgTgHgHQgIgGgSAAg");
	this.shape_2.setTransform(81.475,34.5);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#FF9900").s().p("AAaDRIgFhLIgnAAIgGBLIhxAAIA4mhICcAAIA/GhgAgTA8IAlAAQgJhGgIhpQgQB3gEA4g");
	this.shape_3.setTransform(53.775,34.5);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f("#FF9900").s().p("Ah9DRIAAmhIBSAAQBNgBAcAIQAcAHAPAQQAOARAEAUQADAVAAA8IAACRQAAA4gFAUQgFASgOALQgNALgTAFQgUADgnAAgAgQCKQAWAAAGgKQAFgJAAgqIAAiiQAAgcgBgJQgCgHgHgEQgGgEgRAAg");
	this.shape_4.setTransform(25.825,34.5);

	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f("#FF9900").s().p("AheDRIAAmhIC2AAIAABUIhKAAIAABPIBFAAIAABPIhFAAIAABcIBQAAIAABTg");
	this.shape_5.setTransform(-8.7,34.5);

	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f("#FF9900").s().p("Ag9DJQgdgMgOgUQgOgUgDgWQgDgWAAhHIAAj3IBtAAIAAE5QAAAbADAJQADAHAJAAQAKAAADgIQADgJAAgfIAAk0IBtAAIAAEXQAAAwgDATQgEATgPAVQgPAUgZAKQgZALgiAAQgkAAgdgNg");
	this.shape_6.setTransform(-34.825,34.95);

	this.shape_7 = new cjs.Shape();
	this.shape_7.graphics.f("#FF9900").s().p("AhGDNQgZgNgMgUQgMgUgDgVQgEgWAAgrIAAh8QAAg7AHgcQAGgbAfgXQAfgXAwABQAwgBAfAVQAgATAJAbQAKAbgBA0IAAASIhsAAIAAgnQAAgjgEgKQgCgIgMgBQgJABgEAHQgEAIAAAgIAADIQAAAdAEAIQAEAKAJgBQAMABAFgLQAEgKAAgdIAAgyIgVAAIAAg/IB+AAIAADgIhEAAIgJgdQgMATgRAJQgRALgWgBQgbAAgYgNg");
	this.shape_7.setTransform(-64,34.5);

	this.shape_8 = new cjs.Shape();
	this.shape_8.graphics.f("#FF9900").s().p("AAaDRIgFhLIgnAAIgGBLIhxAAIA4mhICcAAIA/GhgAgTA8IAlAAQgJhGgIhpQgQB3gEA4g");
	this.shape_8.setTransform(-91.875,34.5);

	this.shape_9 = new cjs.Shape();
	this.shape_9.graphics.f("#FF9900").s().p("AhdDRIAAmhIC0AAIAABUIhJAAIAABPIBFAAIAABPIhFAAIAABcIBRAAIAABTg");
	this.shape_9.setTransform(-115.75,34.5);

	this.shape_10 = new cjs.Shape();
	this.shape_10.graphics.f("#FF9900").s().p("AhXDRIAAmhIBsAAIAAFOIBDAAIAABTg");
	this.shape_10.setTransform(-136.575,34.5);

	this.instance = new lib.button_pick_05();
	this.instance.setTransform(-1.7,472.85,1,1,0,0,0,0.8,35.6);

	this.instance_1 = new lib.button_pick_04();
	this.instance_1.setTransform(-0.7,399.55,1,1,0,0,0,0.8,35.6);

	this.instance_2 = new lib.button_pick_03();
	this.instance_2.setTransform(-0.7,326.4,1,1,0,0,0,0.8,35.6);

	this.pickCricket = new lib.button_pick_02();
	this.pickCricket.name = "pickCricket";
	this.pickCricket.setTransform(-0.7,250.55,1,1,0,0,0,0.8,32.9);

	this.instance_3 = new lib.button_pick_01();
	this.instance_3.setTransform(-0.7,177.4,1,1,0,0,0,0.8,32.9);

	this.gamePick_00 = new lib.button_pick_00();
	this.gamePick_00.name = "gamePick_00";
	this.gamePick_00.setTransform(-1.5,103.35,1,1,0,0,0,0,32);

	this.shape_11 = new cjs.Shape();
	this.shape_11.graphics.f("#FF7C05").s().p("EgxXAFZQhQAAAAhQIAAoRQAAhQBQAAMBivAAAQBQAAAABQIAAIRQAABQhQAAg");
	this.shape_11.setTransform(0.525,634.9);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_11},{t:this.gamePick_00},{t:this.instance_3},{t:this.pickCricket},{t:this.instance_2},{t:this.instance_1},{t:this.instance},{t:this.shape_10},{t:this.shape_9},{t:this.shape_8},{t:this.shape_7},{t:this.shape_6},{t:this.shape_5},{t:this.shape_4},{t:this.shape_3},{t:this.shape_2},{t:this.shape_1},{t:this.shape},{t:this.playerBtn}]}).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.gamepick, new cjs.Rectangle(-328.4,0,656.9,669.4), null);


(lib.cricket = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.hcc_25 = new cjs.Text("99", "bold 38px 'Corbel'", "#FFFFFF");
	this.hcc_25.name = "hcc_25";
	this.hcc_25.textAlign = "center";
	this.hcc_25.lineHeight = 30;
	this.hcc_25.parent = this;
	this.hcc_25.setTransform(285,434.85);

	this.diff = new cjs.Text("BACK", "54px 'Impact'", "#FFFFFF");
	this.diff.name = "diff";
	this.diff.textAlign = "center";
	this.diff.lineHeight = 50;
	this.diff.lineWidth = 244;
	this.diff.parent = this;
	this.diff.setTransform(-2.5,569.4);

	this.instance = new lib.buttonback();
	this.instance.setTransform(-228.5,594.8,1,1,0,0,0,0,41.3);

	this.missBtn = new lib.buttonmissenter();
	this.missBtn.name = "missBtn";
	this.missBtn.setTransform(222,594.45,1,1,0,0,0,0,41);

	this.acc_25 = new cjs.Text("99", "bold 38px 'Corbel'", "#FFFFFF");
	this.acc_25.name = "acc_25";
	this.acc_25.textAlign = "center";
	this.acc_25.lineHeight = 30;
	this.acc_25.parent = this;
	this.acc_25.setTransform(-279,437.05);

	this.acc_15 = new cjs.Text("99", "bold 38px 'Corbel'", "#FFFFFF");
	this.acc_15.name = "acc_15";
	this.acc_15.textAlign = "center";
	this.acc_15.lineHeight = 30;
	this.acc_15.parent = this;
	this.acc_15.setTransform(-279,365.85);

	this.acc_16 = new cjs.Text("99", "bold 38px 'Corbel'", "#FFFFFF");
	this.acc_16.name = "acc_16";
	this.acc_16.textAlign = "center";
	this.acc_16.lineHeight = 30;
	this.acc_16.parent = this;
	this.acc_16.setTransform(-279,294.7);

	this.acc_17 = new cjs.Text("99", "bold 38px 'Corbel'", "#FFFFFF");
	this.acc_17.name = "acc_17";
	this.acc_17.textAlign = "center";
	this.acc_17.lineHeight = 30;
	this.acc_17.parent = this;
	this.acc_17.setTransform(-279,223.55);

	this.acc_18 = new cjs.Text("99", "bold 38px 'Corbel'", "#FFFFFF");
	this.acc_18.name = "acc_18";
	this.acc_18.textAlign = "center";
	this.acc_18.lineHeight = 30;
	this.acc_18.parent = this;
	this.acc_18.setTransform(-279,152.4);

	this.acc_19 = new cjs.Text("99", "bold 38px 'Corbel'", "#FFFFFF");
	this.acc_19.name = "acc_19";
	this.acc_19.textAlign = "center";
	this.acc_19.lineHeight = 30;
	this.acc_19.parent = this;
	this.acc_19.setTransform(-279,81.25);

	this.acc_20 = new cjs.Text("99", "bold 38px 'Corbel'", "#FFFFFF");
	this.acc_20.name = "acc_20";
	this.acc_20.textAlign = "center";
	this.acc_20.lineHeight = 30;
	this.acc_20.parent = this;
	this.acc_20.setTransform(-279,10.1);

	this.hcc_15 = new cjs.Text("99", "bold 38px 'Corbel'", "#FFFFFF");
	this.hcc_15.name = "hcc_15";
	this.hcc_15.textAlign = "center";
	this.hcc_15.lineHeight = 30;
	this.hcc_15.parent = this;
	this.hcc_15.setTransform(285,365.85);

	this.hcc_16 = new cjs.Text("99", "bold 38px 'Corbel'", "#FFFFFF");
	this.hcc_16.name = "hcc_16";
	this.hcc_16.textAlign = "center";
	this.hcc_16.lineHeight = 30;
	this.hcc_16.parent = this;
	this.hcc_16.setTransform(285,294.7);

	this.hcc_17 = new cjs.Text("99", "bold 38px 'Corbel'", "#FFFFFF");
	this.hcc_17.name = "hcc_17";
	this.hcc_17.textAlign = "center";
	this.hcc_17.lineHeight = 30;
	this.hcc_17.parent = this;
	this.hcc_17.setTransform(285,223.55);

	this.hcc_18 = new cjs.Text("99", "bold 38px 'Corbel'", "#FFFFFF");
	this.hcc_18.name = "hcc_18";
	this.hcc_18.textAlign = "center";
	this.hcc_18.lineHeight = 30;
	this.hcc_18.parent = this;
	this.hcc_18.setTransform(285,152.4);

	this.hcc_19 = new cjs.Text("99", "bold 38px 'Corbel'", "#FFFFFF");
	this.hcc_19.name = "hcc_19";
	this.hcc_19.textAlign = "center";
	this.hcc_19.lineHeight = 30;
	this.hcc_19.parent = this;
	this.hcc_19.setTransform(285,81.25);

	this.hcc_20 = new cjs.Text("99", "bold 38px 'Corbel'", "#FFFFFF");
	this.hcc_20.name = "hcc_20";
	this.hcc_20.textAlign = "center";
	this.hcc_20.lineHeight = 30;
	this.hcc_20.parent = this;
	this.hcc_20.setTransform(285,10.1);

	this.ac_25 = new lib.c_mark();
	this.ac_25.name = "ac_25";
	this.ac_25.setTransform(-177.45,435.9);

	this.ac_15 = new lib.c_mark();
	this.ac_15.name = "ac_15";
	this.ac_15.setTransform(-177.45,364.2);

	this.ac_16 = new lib.c_mark();
	this.ac_16.name = "ac_16";
	this.ac_16.setTransform(-177.45,292.75);

	this.ac_17 = new lib.c_mark();
	this.ac_17.name = "ac_17";
	this.ac_17.setTransform(-177.45,221.3);

	this.ac_18 = new lib.c_mark();
	this.ac_18.name = "ac_18";
	this.ac_18.setTransform(-177.45,149.85);

	this.ac_19 = new lib.c_mark();
	this.ac_19.name = "ac_19";
	this.ac_19.setTransform(-177.45,78.4);

	this.ac_20 = new lib.c_mark();
	this.ac_20.name = "ac_20";
	this.ac_20.setTransform(-177.45,6.95);

	this.hc_25 = new lib.c_mark();
	this.hc_25.name = "hc_25";
	this.hc_25.setTransform(169.55,435.9);

	this.hc_15 = new lib.c_mark();
	this.hc_15.name = "hc_15";
	this.hc_15.setTransform(169.55,364.2);

	this.hc_16 = new lib.c_mark();
	this.hc_16.name = "hc_16";
	this.hc_16.setTransform(169.55,292.75);

	this.hc_17 = new lib.c_mark();
	this.hc_17.name = "hc_17";
	this.hc_17.setTransform(169.55,221.3);

	this.hc_18 = new lib.c_mark();
	this.hc_18.name = "hc_18";
	this.hc_18.setTransform(169.55,149.85);

	this.hc_19 = new lib.c_mark();
	this.hc_19.name = "hc_19";
	this.hc_19.setTransform(169.55,78.4);

	this.hc_20 = new lib.c_mark();
	this.hc_20.name = "hc_20";
	this.hc_20.setTransform(169.55,6.95);

	this.tc_15 = new lib.c_T();
	this.tc_15.name = "tc_15";
	this.tc_15.setTransform(79.5,393.9,1,1,0,0,0,0,19);

	this.tc_16 = new lib.c_T();
	this.tc_16.name = "tc_16";
	this.tc_16.setTransform(79.5,322.35,1,1,0,0,0,0,19);

	this.tc_17 = new lib.c_T();
	this.tc_17.name = "tc_17";
	this.tc_17.setTransform(79.5,250.85,1,1,0,0,0,0,19);

	this.tc_18 = new lib.c_T();
	this.tc_18.name = "tc_18";
	this.tc_18.setTransform(79.5,179.4,1,1,0,0,0,0,19);

	this.tc_19 = new lib.c_T();
	this.tc_19.name = "tc_19";
	this.tc_19.setTransform(79.5,107.9,1,1,0,0,0,0,19);

	this.dc_25 = new lib.c_D();
	this.dc_25.name = "dc_25";
	this.dc_25.setTransform(-82,464.2,1,1,0,0,0,0,18.8);

	this.dc_15 = new lib.c_D();
	this.dc_15.name = "dc_15";
	this.dc_15.setTransform(-82,393.7,1,1,0,0,0,0,18.8);

	this.dc_16 = new lib.c_D();
	this.dc_16.name = "dc_16";
	this.dc_16.setTransform(-82,322.15,1,1,0,0,0,0,18.8);

	this.dc_17 = new lib.c_D();
	this.dc_17.name = "dc_17";
	this.dc_17.setTransform(-82,250.65,1,1,0,0,0,0,18.8);

	this.dc_18 = new lib.c_D();
	this.dc_18.name = "dc_18";
	this.dc_18.setTransform(-82,179.2,1,1,0,0,0,0,18.8);

	this.dc_19 = new lib.c_D();
	this.dc_19.name = "dc_19";
	this.dc_19.setTransform(-82,107.7,1,1,0,0,0,0,18.8);

	this.dc_20 = new lib.c_D();
	this.dc_20.name = "dc_20";
	this.dc_20.setTransform(-82,36.25,1,1,0,0,0,0,18.8);

	this.tc_20 = new lib.c_T();
	this.tc_20.name = "tc_20";
	this.tc_20.setTransform(79.5,36.45,1,1,0,0,0,0,19);

	this.c_25 = new lib.c_B();
	this.c_25.name = "c_25";
	this.c_25.setTransform(-1.5,475.8,1,1,0,0,0,-0.5,39.3);

	this.c_15 = new lib.c_15();
	this.c_15.name = "c_15";
	this.c_15.setTransform(-1.5,404.25,1,1,0,0,0,-0.5,39.3);

	this.c_16 = new lib.c_16();
	this.c_16.name = "c_16";
	this.c_16.setTransform(-1.5,332.9,1,1,0,0,0,-0.5,39.3);

	this.c_17 = new lib.c_17();
	this.c_17.name = "c_17";
	this.c_17.setTransform(-1.5,261.55,1,1,0,0,0,-0.5,39.3);

	this.c_18 = new lib.c_18();
	this.c_18.name = "c_18";
	this.c_18.setTransform(-1.5,190.2,1,1,0,0,0,-0.5,39.3);

	this.c_19 = new lib.c_19();
	this.c_19.name = "c_19";
	this.c_19.setTransform(-1.5,118.85,1,1,0,0,0,-0.5,39.3);

	this.c_20 = new lib.c_20();
	this.c_20.name = "c_20";
	this.c_20.setTransform(-1.5,47.5,1,1,0,0,0,-0.5,39.3);

	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFFFF").ss(2,1,1).p("AyWmeMAktAAAQBaAAAABaIAAKJQAABahaAAMgktAAAQhaAAAAhaIAAqJQAAhaBaAAg");
	this.shape.setTransform(-3,594.8);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FF7C05").s().p("EgxXAB4QhQAAAAhQIAAhPQAAhQBQAAMBivAAAQBQAAAABQIAABPQAABQhQAAg");
	this.shape_1.setTransform(0.025,656.8);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#000000").s().p("AyWGfQhaAAAAhaIAAqJQAAhaBaAAMAktAAAQBaAAAABaIAAKJQAABahaAAg");
	this.shape_2.setTransform(-3,594.8);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_2},{t:this.shape_1},{t:this.shape},{t:this.c_20},{t:this.c_19},{t:this.c_18},{t:this.c_17},{t:this.c_16},{t:this.c_15},{t:this.c_25},{t:this.tc_20},{t:this.dc_20},{t:this.dc_19},{t:this.dc_18},{t:this.dc_17},{t:this.dc_16},{t:this.dc_15},{t:this.dc_25},{t:this.tc_19},{t:this.tc_18},{t:this.tc_17},{t:this.tc_16},{t:this.tc_15},{t:this.hc_20},{t:this.hc_19},{t:this.hc_18},{t:this.hc_17},{t:this.hc_16},{t:this.hc_15},{t:this.hc_25},{t:this.ac_20},{t:this.ac_19},{t:this.ac_18},{t:this.ac_17},{t:this.ac_16},{t:this.ac_15},{t:this.ac_25},{t:this.hcc_20},{t:this.hcc_19},{t:this.hcc_18},{t:this.hcc_17},{t:this.hcc_16},{t:this.hcc_15},{t:this.acc_20},{t:this.acc_19},{t:this.acc_18},{t:this.acc_17},{t:this.acc_16},{t:this.acc_15},{t:this.acc_25},{t:this.missBtn},{t:this.instance},{t:this.diff},{t:this.hcc_25}]}).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.cricket, new cjs.Rectangle(-323.9,0,647.9,668.8), null);


// stage content:
(lib.scoreapp_v2 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	this.isSingleFrame = false;
	// timeline functions:
	this.frame_0 = function() {
		if(this.isSingleFrame) {
			return;
		}
		if(this.totalFrames == 1) {
			this.isSingleFrame = true;
		}
		var pickGame = this.pickGame;
		var resetMsg = this.resetMsg;
		var cricket = this.cricket;
		var homeScore = this.homeScore;
		var awayScore = this.awayScore;
		var homeTurn, tallys, marks, sideScore, scoreNum;
		homeTurn = true;
		var homeScoreNum = 0;
		var awayScoreNum = 0;
		var dartNum = 0;
		
		
		function init() {
			pickGame.visible = true;
			pickGame.pickCricket.addEventListener("click", openCricket);
			cricket.visible = false;
			resetMsg.visible = false;
		}
		init();
		
		function openCricket(evt) {
			pickGame.visible = false;
			for (var c = 20; c > 14; c--) {
				cricket["acc_" + c].text = '';
				cricket["hcc_" + c].text = '';
				cricket["c_" + c].hasChildren = false;
				cricket["c_" + c].addEventListener("click", cricketAddOne);
				cricket["dc_" + c].hasChildren = false;
				cricket["dc_" + c].addEventListener("click", cricketAddTwo);
				cricket["tc_" + c].hasChildren = false;
				cricket["tc_" + c].addEventListener("click", cricketAddThree);
			}
			cricket["acc_" + 25].text = '';
			cricket["hcc_" + 25].text = '';
			cricket["c_" + 25].hasChildren = false;
			cricket["c_" + 25].addEventListener("click", cricketAddOne);
			cricket["dc_" + 25].hasChildren = false;
			cricket["dc_" + 25].addEventListener("click", cricketAddTwo);
		
			cricket.visible = true;
		}
		
		function setHomeAway() {
			if (homeTurn == true) {
				tallys = "hcc_";
				marks = "h";
				sideScore = homeScore;
				scoreNum = homeScoreNum;
			} else {
				tallys = "acc_";
				marks = "a";
				sideScore = awayScore;
				scoreNum = awayScoreNum;
			}
		}
		
		// resets variable scornNum to zero
		function resetScoreNum() {
			scoreNum = 0;
		}
		
		// looks to see how many darts have been entered
		function countDarts() { 
			if(dartNum < 3) {
				dartNum++;
				return true;
			} else {
				return false;
			}
		}
		
		function closeResetMsg() {
			console.log("In Reset Button");
			resetMsg.resetBtn.removeEventListener("click", closeResetMsg);
			resetMsg.visible = false;
		}
		
		function cricketAddOne(evt) {
			// set variables to Home or away
			if(countDarts()) {
				resetScoreNum()
				setHomeAway();
				// add marks
				console.log(evt.target.parent.name.substr(2));
				var cf = cricket[marks + evt.target.parent.name].currentFrame;
				if (cf < 3) {
					cricket[marks + evt.target.parent.name].gotoAndStop(cf + 1);
				} else {
					scoreNum += Number(evt.target.parent.name.substr(2));
				}
				if (homeTurn == true) {
					homeScoreNum = scoreNum;
				} else {
					awayScoreNum = scoreNum;
				}
				sideScore.text = String(scoreNum);
			} else {
				resetMsg.visible = true;
				resetMsg.resetBtn.addEventListener("click", closeResetMsg);
			}
		}
		
		function cricketAddTwo(evt) {
			if(countDarts()) {
				resetScoreNum()
				setHomeAway();
				// add marks
				//console.log(evt.target.parent.name.substr(1));
				var cf = cricket[marks + evt.target.parent.name.substr(1)].currentFrame;
				if (cf < 2) {
					cricket[marks + evt.target.parent.name.substr(1)].gotoAndStop(cf + 2);
				} else if (cf < 3) {
					cricket[marks + evt.target.parent.name.substr(1)].gotoAndStop(cf + 2);
					scoreNum += Number(evt.target.parent.name.substr(3));
				} else {
					scoreNum += 2 * (Number(evt.target.parent.name.substr(3)));
				}
				if (homeTurn == true) {
					homeScoreNum = scoreNum;
				} else {
					awayScoreNum = scoreNum;
				}
				sideScore.text = String(scoreNum);
			} else {
				resetMsg.visible = true;
				resetMsg.resetBtn.addEventListener("click", closeResetMsg);
			}
		}
		function cricketAddThree(evt) {
			if(countDarts()) {
				resetScoreNum()
				setHomeAway();
				// add marks
				console.log(marks + evt.target.parent.name.substr(1));
				var cf = cricket[marks + evt.target.parent.name.substr(1)].currentFrame;
				console.log(cf+3);
		
				if (cf < 1) {
					cricket[marks + evt.target.parent.name.substr(1)].gotoAndStop(cf + 3);
				} else if (cf < 2) {
					cricket[marks + evt.target.parent.name.substr(1)].gotoAndStop(cf + 3);
					scoreNum += Number(evt.target.parent.name.substr(3));
				} else if (cf < 3) {
					cricket[marks + evt.target.parent.name.substr(1)].gotoAndStop(cf + 3);
					scoreNum += 2 * (Number(evt.target.parent.name.substr(3)));
				} else {
					scoreNum += 3 * (Number(evt.target.parent.name.substr(3)));
				}
				if (homeTurn == true) {
					homeScoreNum = scoreNum;
				} else {
					awayScoreNum = scoreNum;
				}
				sideScore.text = String(scoreNum);
			} else {
				resetMsg.visible = true;
				resetMsg.resetBtn.addEventListener("click", closeResetMsg);
			}
		}
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// warning_msg
	this.resetMsg = new lib.msg_darts();
	this.resetMsg.name = "resetMsg";
	this.resetMsg.setTransform(330,359.95);

	this.timeline.addTween(cjs.Tween.get(this.resetMsg).wait(1));

	// home_away
	this.awayTxt = new cjs.Text("AWAY", "53px 'Impact'", "#FF9900");
	this.awayTxt.name = "awayTxt";
	this.awayTxt.textAlign = "center";
	this.awayTxt.lineHeight = 67;
	this.awayTxt.lineWidth = 279;
	this.awayTxt.parent = this;
	this.awayTxt.setTransform(143,8.6);

	this.homeTxt = new cjs.Text("HOME", "53px 'Impact'", "#FF9900");
	this.homeTxt.name = "homeTxt";
	this.homeTxt.textAlign = "center";
	this.homeTxt.lineHeight = 67;
	this.homeTxt.lineWidth = 279;
	this.homeTxt.parent = this;
	this.homeTxt.setTransform(518.5,8.6);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.homeTxt},{t:this.awayTxt}]}).wait(1));

	// header
	this.homeScore = new cjs.Text("0", "81px 'Impact'");
	this.homeScore.name = "homeScore";
	this.homeScore.textAlign = "center";
	this.homeScore.lineHeight = 101;
	this.homeScore.lineWidth = 187;
	this.homeScore.parent = this;
	this.homeScore.setTransform(517.6,65.3);

	this.awayScore = new cjs.Text("0", "81px 'Impact'");
	this.awayScore.name = "awayScore";
	this.awayScore.textAlign = "center";
	this.awayScore.lineHeight = 101;
	this.awayScore.lineWidth = 187;
	this.awayScore.parent = this;
	this.awayScore.setTransform(146.55,65.3);

	this.gameNum = new lib.gamenumber();
	this.gameNum.name = "gameNum";
	this.gameNum.setTransform(329,101.05,1,1,0,0,0,0,36);

	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AAUCiIgEg6IgdAAIgGA6IhXAAIArlDIB5AAIAwFDgAgPAuIAdAAQgHg2gHhRQgLBcgEArg");
	this.shape.setTransform(362.4,31.75);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("AhgCiIAAlDIA/AAQA7AAAWAGQAWAFALANQALAMACAQQADAQAAAuIAABxQAAArgDAPQgEAPgLAIQgKAJgPADQgPADgeAAgAgNBqQASABAEgIQAEgHAAggIAAh9QAAgXgBgFQgBgHgGgCQgEgDgOgBg");
	this.shape_1.setTransform(340.75,31.75);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#FFFFFF").s().p("Ag7CcQgYgOgIgYQgHgXAAgwIAAheQgBgjADgSQACgRAMgQQAMgRAVgIQAWgKAbAAQAkAAAYAOQAZAPAHAVQAHAWABAtIAAAfIhUAAIAAg4QgBgZgDgGQgCgGgJAAQgJAAgEAHQgDAIAAAYIAACWQAAAYADAGQAEAIAIAAQAKAAACgIQADgGABgbIAAgpIBUAAIAAAMQAAAzgIAVQgGAVgZAQQgZAQgjAAQgkAAgYgNg");
	this.shape_2.setTransform(318,31.75);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#FFFFFF").s().p("Ag8CiIgxlDIBZAAQAQCGAFBbQAHhcAHhJIAGg8IBZAAIgrFDg");
	this.shape_3.setTransform(295.925,31.75);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f().s("#FFFFFF").ss(2,1,1).p("EgyOAAAMBkdAAA");
	this.shape_4.setTransform(330.525,152.05);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_4},{t:this.shape_3},{t:this.shape_2},{t:this.shape_1},{t:this.shape},{t:this.gameNum},{t:this.awayScore},{t:this.homeScore}]}).wait(1));

	// turn
	this.homeTurn = new lib.turnmarker();
	this.homeTurn.name = "homeTurn";
	this.homeTurn.setTransform(515.65,79.05,1,1,0,0,0,0,70);

	this.awayTurn = new lib.turnmarker();
	this.awayTurn.name = "awayTurn";
	this.awayTurn.setTransform(147.55,79.05,1,1,0,0,0,0,70);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.awayTurn},{t:this.homeTurn}]}).wait(1));

	// pick_buttons
	this.pickGame = new lib.gamepick();
	this.pickGame.name = "pickGame";
	this.pickGame.setTransform(330.5,408.4,1,1,0,0,0,0,254.8);

	this.timeline.addTween(cjs.Tween.get(this.pickGame).wait(1));

	// footer
	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.lf(["#890000","#AB0000","#AC0000","#990000"],[0.024,0.471,0.671,0.945],0,22,0,-22).s().p("EgxrADIIAAk/QAAhQBQAAMBg3AAAQBQAAAABQIAAE/g");
	this.shape_5.setTransform(328.025,683.95);

	this.timeline.addTween(cjs.Tween.get(this.shape_5).wait(1));

	// cricket
	this.cricket = new lib.cricket();
	this.cricket.name = "cricket";
	this.cricket.setTransform(330.5,492,1,1,0,0,0,0,334.4);

	this.timeline.addTween(cjs.Tween.get(this.cricket).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(330,413,330,417);
// library properties:
lib.properties = {
	id: 'F2AD6198F125634E938554A205A96B47',
	width: 660,
	height: 830,
	fps: 24,
	color: "#000000",
	opacity: 1.00,
	manifest: [],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.StageGL();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['F2AD6198F125634E938554A205A96B47'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}			
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;			
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});			
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;			
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;